require 'action_view'

include ActionView::Helpers::TagHelper
include ActionView::Context

module WorkInProgress
  module ViewHelpers
    def work_in_progress(opts={}, &block)
      if user_is_permited?(opts)
        case WorkInProgress.framework
        when :rails
          rails_content(&block)
        end
      end
    end

    private

      def rails_content(&block)
        content_tag(:div, capture(&block), style: "background-color: #ccc;")
      end

      def user_is_permited?(opts={})
        if defined?(current_user)
          WorkInProgress.permited_users.include?(current_user.email)
        elsif opts[:user]
          WorkInProgress.permited_users.include?(opts[:user].email)
        end
      end

  end
end